Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Command

    java.lang.Object
      javax.microedition.lcdui.Command

    public class Command

extends Object

Author:
  Andre Nijholt

Field Summary
`static int` | `BACK`
`static int` | `CANCEL`
`static int` | `EXIT`
`static int` | `HELP`
`static int` | `ITEM`
`static int` | `OK`
`static int` | `SCREEN`
`static int` | `STOP`

Constructor Summary
`Command(int commandId, int commandType, int priority)`
`Command(int commandId, String longLabel, int commandType, int priority)`

Method Summary
`int` | `getCommandId()`
`int` | `getCommandType()`
`String` | `getLongLabel()`
`int` | `getPriority()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### SCREEN

    public static final int SCREEN

See Also:
  Constant Field Values

### BACK

    public static final int BACK

See Also:
  Constant Field Values

### CANCEL

    public static final int CANCEL

See Also:
  Constant Field Values

### OK

    public static final int OK

See Also:
  Constant Field Values

### HELP

    public static final int HELP

See Also:
  Constant Field Values

### STOP

    public static final int STOP

See Also:
  Constant Field Values

### EXIT

    public static final int EXIT

See Also:
  Constant Field Values

### ITEM

    public static final int ITEM

See Also:
  Constant Field Values

Constructor Detail

### Command

    public Command(int commandId,
                   int commandType,
                   int priority)

### Command

    public Command(int commandId,
                   String longLabel,
                   int commandType,
                   int priority)

Method Detail

### getCommandType

    public int getCommandType()

### getCommandId

    public int getCommandId()

### getLongLabel

    public String getLongLabel()

### getPriority

    public int getPriority()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD